Bug 835794 - Log configuration for config-tool should be improved
Log configuration for config-tool should be improved
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1.0
Assigned To: Yair Zaslavsky
Pavel Stehlik
infra
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 03:03 EDT by Yair Zaslavsky
Modified: 2016-02-10 14:04 EST (History)
5 users (show)

See Also:
Fixed In Version: s12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:58:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yair Zaslavsky 2012-06-27 03:03:20 EDT
Description of problem:

A log4j file appender that will enable logging to file should be added to the log4j configuration.
The file appender should be set to DEBUG (users will be able to edit it) in order to provide by default logging to file at DEBUG level.
This can help in troubleshooting problems when running the engine-config tool.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Yaniv Kaul 2012-07-02 11:03:34 EDT
Please elaborate how to test this fix.
Comment 2 Yair Zaslavsky 2012-07-02 14:58:33 EDT
A log file should be created under - /var/log/engine/engine-config and named engine.config
It should contain DEBUG entries for the engine-config tool.
Of course, It will possible to edit the log4j.xml file and to change the logging level (for example, change it to INFO) and see that debug entries are not logged anymore.
Comment 7 Yair Zaslavsky 2012-07-24 08:28:55 EDT
engine-config.log will be created under /var/log/ovirt-engine/engine-config.log

Suggested patch -

http://gerrit.ovirt.org/#/c/6569/

Note You need to log in before you can comment on or make changes to this bug.